/*
 * Copyright (C) 2007 askywhale
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License (version 2)
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

package com.askywhale.rings;
import net.sf.j3d.threeD.raytracer.engine.Surface;
import net.sf.j3d.util.graphics.RGB;
import net.sf.j3d.threeD.raytracer.primitives.Plane;
//import threeD.raytracer.util.TransformMatrix;
import net.sf.j3d.util.Vector;

public class Test4IsoSphere extends Test3BaseSphere {

	public static void main(String[] args) {
		new Test4IsoSphere().doJob();
	}
	public Surface[] getSurfaces() {        
		SimpleSymetricIsoSurface iso = new SimpleSymetricIsoSurface(
				new Vector(0,0,1),1,new RGB(1,1,1),
				SimpleSymetricIsoSurface.SPHERE);
		iso.setQPrecision(100);
		//iso.setDiscreteShadeMode(true);
		//iso.addTransform(TransformMatrix.createRotateZMatrix(1));
		Surface surfaces[] = {               
				new Plane(Plane.XY,new RGB(.4,.8,.2)),
				new SphereSurface(new Vector(0,0,.2),.2,new RGB(1,1,1)),
				new SphereSurface(new Vector(-5,0,1),1,new RGB(1,0,0)),
				iso,
				//new SphereSurface(new Vector(0,0,1),.5,new RGB(1,1,1)),
		};
		return surfaces;
	}    

}
